org.apache.storm.generated

## Enum ProfileAction

- java.lang.Object
- - java.lang.Enum<ProfileAction>
  - - org.apache.storm.generated.ProfileAction

- All Implemented Interfaces:
    Serializable, Comparable<ProfileAction>, org.apache.storm.thrift.TEnum

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public enum ProfileAction
      extends Enum<ProfileAction>
      implements org.apache.storm.thrift.TEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JMAP_DUMP`
    `JPROFILE_DUMP`
    `JPROFILE_START`
    `JPROFILE_STOP`
    `JSTACK_DUMP`
    `JVM_RESTART`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProfileAction` | `findByValue(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
    `int` | `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
    `static ProfileAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ProfileAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JPROFILE_STOP

          public static final ProfileAction JPROFILE_STOP

    - #### JPROFILE_START

          public static final ProfileAction JPROFILE_START

    - #### JPROFILE_DUMP

          public static final ProfileAction JPROFILE_DUMP

    - #### JMAP_DUMP

          public static final ProfileAction JMAP_DUMP

    - #### JSTACK_DUMP

          public static final ProfileAction JSTACK_DUMP

    - #### JVM_RESTART

          public static final ProfileAction JVM_RESTART

  - ### Method Detail

    - #### values

          public static ProfileAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProfileAction c : ProfileAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProfileAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the integer value of this enum value, as defined in the Thrift IDL.

      Specified by:
        `getValue` in interface `org.apache.storm.thrift.TEnum`

    - #### findByValue

          public static ProfileAction findByValue(int value)

      Find a the enum type by its integer value, as defined in the Thrift IDL.

      Returns:
        null if the value is not found.

Copyright © 2021 The Apache Software Foundation. All rights reserved.